Subject: [PATCH v2 05/12] usb: phy: add the Berlin USB PHY driver

From: [email-masked] (Antoine Ténart)
Date: Mon, 30 Jun 2014 16:52:11 +0200

Felipe,

On Fri, Jun 27, 2014 at 06:04:33PM -0500, Felipe Balbi wrote:
> On Fri, Jun 27, 2014 at 06:05:57PM +0200, Antoine T?nart wrote:
> > Hi Felipe,
> > 
> > On Fri, Jun 27, 2014 at 10:56:22AM -0500, Felipe Balbi wrote:
> > > On Tue, Jun 24, 2014 at 12:35:14PM +0200, Antoine T?nart wrote:
> > > > Add the driver driving the Marvell Berlin USB PHY. This allows to
> > > > initialize the PHY and to use it from the USB driver later.
> > > > 
> > > > Signed-off-by: Antoine T?nart <[email-masked]>
> > > 
> > > since this is a brand new driver, it should go to drivers/phy instead.
> > 
> > This PHY is used by a ChipIdea USB driver, which uses the provided
> > common function for ChipIdea. These functions use the usb_phy framework.
> > That's why this PHY driver is there.
> 
> right, but you can add support for the new PHY layer which would help
> other users convert their PHY drivers to the new PHY framework.

Adding the support for the new PHY layer in the common CI code is not
complicated, but these functions also use some parts from usb hcd or usb
otg which are only usb_phy compatible.

Shouldn't these parts add the new PHY support first, to avoid ending up
with a fairly big series, quite long to do and complicated to review?

Antoine

-- 
Antoine T?nart, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com